/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


package de.iai.ilcd.model.adapter.dataset;

import de.fzk.iai.ilcd.service.client.impl.vo.dataset.ContactDataSetVO;
import de.fzk.iai.ilcd.service.model.IContactListVO;
import de.fzk.iai.ilcd.service.model.IContactVO;
import de.fzk.iai.ilcd.service.model.common.ILString;

public class ContactAdapter extends AbstractDatasetAdapter<ContactDataSetVO, IContactListVO> {

	public ContactAdapter(Class<ContactDataSetVO> adapterClass, IContactListVO adaptee) throws InstantiationException,
			IllegalAccessException {
		super(adapterClass, adaptee);

		this.dataset.setEmail(adaptee.getEmail());

		this.dataset.setPhone(adaptee.getPhone());

		this.dataset.setWww(adaptee.getWww());

		for (ILString s : adaptee.getShortName().getLStrings()) {
			this.dataset.setShortName(s.getLang(), s.getValue());
		}

		if (adaptee instanceof IContactVO) {
			this.dataset.setCentralContactPoint(((IContactVO) adaptee).getCentralContactPoint());
			this.dataset.setFax(((IContactVO) adaptee).getFax());
		}
	}
}
