/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


package de.iai.ilcd.model.adapter.dataset;

import de.fzk.iai.ilcd.service.client.impl.vo.dataset.FlowPropertyDataSetVO;
import de.fzk.iai.ilcd.service.client.impl.vo.types.flowproperty.UnitGroupType;
import de.fzk.iai.ilcd.service.model.IFlowPropertyListVO;
import de.fzk.iai.ilcd.service.model.IFlowPropertyVO;
import de.fzk.iai.ilcd.service.model.common.ILString;
import de.fzk.iai.ilcd.service.model.flowproperty.IUnitGroupType;
import de.iai.ilcd.model.adapter.GlobalReferenceAdapter;

public class FlowPropertyAdapter extends AbstractDatasetAdapter<FlowPropertyDataSetVO, IFlowPropertyListVO> {

	public FlowPropertyAdapter(Class<FlowPropertyDataSetVO> adapterClass, IFlowPropertyListVO adaptee)
			throws InstantiationException, IllegalAccessException {
		super(adapterClass, adaptee);

		IUnitGroupType details = adaptee.getUnitGroupDetails();

		UnitGroupType newDetails = new UnitGroupType();
		newDetails.setName(adaptee.getUnitGroupDetails().getName().getValue());
		newDetails.setDefaultUnit(details.getDefaultUnit());
		newDetails.setHref(details.getHref());

		for (ILString s : details.getName().getLStrings()) {
			newDetails.setName(s.getLang(), s.getValue());
		}

		newDetails.setReference(new GlobalReferenceAdapter(details.getReference()));

		this.dataset.setUnitGroupDetails(newDetails);

		if (adaptee instanceof IFlowPropertyVO) {
			for (ILString s : ((IFlowPropertyVO) adaptee).getSynonyms().getLStrings()) {
				this.dataset.getSynonyms().setValue(s.getLang(), s.getValue());
			}
		}
	}
}
