/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


package de.iai.ilcd.model.adapter.dataset;

import de.fzk.iai.ilcd.service.client.impl.vo.dataset.LCIAMethodDataSetVO;
import de.fzk.iai.ilcd.service.client.impl.vo.types.lciamethod.TimeInformationType;
import de.fzk.iai.ilcd.service.model.ILCIAMethodListVO;
import de.fzk.iai.ilcd.service.model.ILCIAMethodVO;
import de.fzk.iai.ilcd.service.model.common.ILString;

public class LCIAMethodAdapter extends AbstractDatasetAdapter<LCIAMethodDataSetVO, ILCIAMethodListVO> {

	public LCIAMethodAdapter(Class<LCIAMethodDataSetVO> adapterClass, ILCIAMethodListVO adaptee)
			throws InstantiationException, IllegalAccessException {
		super(adapterClass, adaptee);

		TimeInformationType time = new TimeInformationType();

		for (ILString s : adaptee.getTimeInformation().getDuration().getLStrings()) {
			time.getDuration().setValue(s.getLang(), s.getValue());
		}
		this.dataset.setTimeInformation(time);

		this.dataset.setType(adaptee.getType());

		if (adaptee instanceof ILCIAMethodVO) {
			this.dataset.setImpactIndicator(((ILCIAMethodVO) adaptee).getImpactIndicator());
			this.dataset.getAreaOfProtection().addAll(((ILCIAMethodVO) adaptee).getAreaOfProtection());
			this.dataset.getImpactCategory().addAll(((ILCIAMethodVO) adaptee).getImpactCategory());
			this.dataset.getMethodology().addAll(((ILCIAMethodVO) adaptee).getMethodology());
		}
	}
}
