/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


package de.iai.ilcd.model.adapter.dataset;

import de.fzk.iai.ilcd.service.client.impl.vo.dataset.SourceDataSetVO;
import de.fzk.iai.ilcd.service.model.ISourceListVO;
import de.fzk.iai.ilcd.service.model.ISourceVO;
import de.fzk.iai.ilcd.service.model.common.IGlobalReference;
import de.fzk.iai.ilcd.service.model.common.ILString;
import de.iai.ilcd.model.adapter.GlobalReferenceAdapter;

public class SourceAdapter extends AbstractDatasetAdapter<SourceDataSetVO, ISourceListVO> {

	public SourceAdapter(Class<SourceDataSetVO> adapterClass, ISourceListVO adaptee) throws InstantiationException,
			IllegalAccessException {
		super(adapterClass, adaptee);

		for (IGlobalReference ref : adaptee.getBelongsTo()) {
			this.dataset.getBelongsTo().add(new GlobalReferenceAdapter(ref));
		}

		for (IGlobalReference ref : adaptee.getFileReferences()) {
			this.dataset.getFileReferences().add(new GlobalReferenceAdapter(ref));
		}

		if (adaptee instanceof ISourceVO) {
			for (ILString s : ((ISourceVO) adaptee).getCitation().getLStrings()) {
				this.dataset.setCitation(s.getLang(), s.getValue());
			}

			this.dataset.setPublicationType(((ISourceVO) adaptee).getPublicationType());
		}
	}
}
