/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


package de.iai.ilcd.model.process;

import java.io.Serializable;

import javax.persistence.AssociationOverride;
import javax.persistence.AttributeOverride;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Embedded;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;

import de.fzk.iai.ilcd.service.model.enums.LicenseTypeValue;
import de.fzk.iai.ilcd.service.model.process.IAccessInformation;
import de.iai.ilcd.model.common.MultiLanguageText;

/**
 * 
 * @author clemens.duepmeier
 */
@Embeddable
public class AccessInformation implements Serializable, IAccessInformation {

	protected boolean copyright = false;

	@Enumerated(EnumType.STRING)
	protected LicenseTypeValue licenseType;

	@Embedded
	@AttributeOverride(name = "defaultValue", column = @Column(name = "useRestrictions"))
	@AssociationOverride(name = "lStringMap", joinTable = @JoinTable(name = "process_useRestrictions", joinColumns = @JoinColumn(name = "process_id", referencedColumnName = "ID")))
	MultiLanguageText useRestrictions;

	@Override
	public boolean isCopyright() {
		return copyright;
	}

	public void setCopyright(boolean copyright) {
		this.copyright = copyright;
	}

	@Override
	public LicenseTypeValue getLicenseType() {
		return licenseType;
	}

	public void setLicenseType(LicenseTypeValue licenseType) {
		this.licenseType = licenseType;
	}

	@Override
	public MultiLanguageText getUseRestrictions() {
		return useRestrictions;
	}

	public void setUseRestrictions(MultiLanguageText useRestrictions) {
		this.useRestrictions = useRestrictions;
	}
}
